<%--
 *         Progetto: Mostra video (Autenticazione mediante database)
 *
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 08/03/2022
 *
 *      Descrizione: Servizio di visualizzazione video riservato a utenti registrati.
 *                   I dati necessari all'autenticazione sono prelevati da un
 *                   database SQL mediante JDBC.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!doctype html>
<html lang='it'>
<head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no'>
    <link href='https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css' rel='stylesheet'
          integrity='sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh' crossorigin='anonymous'>
    <title>Mostra video</title>
    <style type='text/css'>
        body {padding-top: 0rem;}
        ul#listavideo {margin-top: 2em}
        ul#listavideo li {margin-bottom: 1em;}
    </style>
</head>
<body>
<%
    HttpSession sessione = request.getSession(false);
    String nomeCompleto = (String) sessione.getAttribute("nomecompleto");
%>

<nav class="navbar navbar-dark bg-dark">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" href="#">Mostra video</a>
        </div>
        <%
            if (nomeCompleto != null) {
        %>

        <form class="form-inline" action="login" method="post">
            <input type="hidden" name="esci" />
            <span class="navbar-text ">Utente: <span style="color: white"><%= nomeCompleto %></span></span>
            <input class="ml-2 btn btn-sm btn-info" type="submit" value="Esci"/>
        </form>

        <% } %>

    </div>
</nav>

<main class="container">
    <div class="row">
        <div class="col-lg-12 text-center">
            <h1 class="mt-5">Mostra video</h1>

            <% if (nomeCompleto != null) { %>

            <p class="lead">Scegli il video da riprodurre</p>
            <ul class="list-unstyled" id="listavideo">
                <li><a href="download?video=earth.webm">Dynamic Earth - A New Beginning</a></li>
                <li><a href="download?video=nature-reserve.webm">Ceunant Llennyrch National Nature Reserve</a></li>
                <li><a href="download?video=nobel.webm">The Nobel in Physics 2016</a></li>
                <li><a href="download?video=science.webm">The Future of Science is Open</a></li>
            </ul>

            <% } else { %>

            <p>Il servizio è riservato agli utenti registrati.</p>
            <div><a class="btn btn-primary" role="button" href="login.jsp">Accedi</a></div>

            <% } %>

        </div>
    </div>
</main>
</body>
</html>
