<%--
 *         Progetto: Mostra video (Autenticazione mediante database)
 *
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 08/03/2022
 *
 *      Descrizione: Servizio di visualizzazione video riservato a utenti registrati.
 *                   I dati necessari all'autenticazione sono prelevati da un
 *                   database SQL mediante JDBC.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!doctype html>
<html lang='it'>
    <head>
        <meta charset='utf-8'>
        <meta name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no'>
        <link href='https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css' rel='stylesheet'
              integrity='sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh' crossorigin='anonymous'>
        <title>Mostra video</title>
        <link href="login.css" rel="stylesheet">
    </head>

    <body class="text-center">
        <form class="form-signin" action="login" method="post">
            <input type="hidden" name="redirect" value="<%= request.getParameter("redirect") != null ? request.getParameter("redirect") : "" %>" />
            <img class="mb-4" src="img/logo.png" alt="" width="200" >

            <% if (request.getParameter("errore") != null) { %>

                <div class="alert alert-danger" role="alert">
                    Nome utente e/o password non validi.
                </div>

            <% } %>

            <h1 class="h3 mb-3 font-weight-normal">Login</h1>
            <label for="username" class="sr-only">Nome utente</label>
            <input type="text" id="username" name="username" class="form-control" placeholder="Nome utente" required autofocus />
            <label for="password" class="sr-only">Password</label>
            <input type="password" id="password" name="password" class="form-control" placeholder="Password" />
            <button class="btn btn-lg btn-primary btn-block" type="submit">Accedi</button>
            <p class="mt-5 mb-3 text-muted">&copy; 2022 - Mostra video</p>
        </form>
    </body>
</html>
